summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorIñigo Martínez <inigomartinez@gmail.com>2020-10-28 12:02:04 +0100
committerJan Rybar <jrybar@redhat.com>2021-07-29 17:16:35 +0200
commit96c6fc83538fc28d1b3923b8be1eba2648f30e28 (patch)
tree319bfbd0c8fe86c3d16e97cb09267507abff2563 /autogen.sh
parente336bf86d8b8489a4643500925e4da4eeb9000ba (diff)
downloadpolkit-96c6fc83538fc28d1b3923b8be1eba2648f30e28.tar.gz
build: Migrate from Intltool to Gettext
Recent versions of Gettext are able to translate several formats that are used in GNOME applications. This migrates from Intltool to Gettext both autotools and meson build systems.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh10
1 files changed, 8 insertions, 2 deletions
diff --git a/autogen.sh b/autogen.sh
index 3407ae0..857c05b 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -69,6 +69,13 @@ test -n "$NO_AUTOMAKE" || (autoreconf --version) < /dev/null > /dev/null 2>&1 ||
DIE=1
}
+# if no automake, don't bother testing for autopoint
+test -n "$NO_AUTOMAKE" || (autopoint --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "**Error**: You must have autopoint installed."
+ echo "You can get autopoint from ..."
+ DIE=1
+}
if test "$DIE" -eq 1; then
exit 1
@@ -103,13 +110,12 @@ esac
echo "Running autoheader..."
autoheader
fi
+ autopoint --force
echo "Running automake --gnu -Wno-portability $am_opt ..."
automake --add-missing --gnu -Wno-portability $am_opt
echo "Running autoconf ..."
autoconf
-intltoolize --copy --force --automake || exit 1
-
cd "$olddir"
conf_flags="--enable-maintainer-mode --enable-gtk-doc"